// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/Post.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class Post extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inAttachHeader = 2;
  public static final int inHeader = 4;
  public static final int inPreamble = 6;
  public static final int inCleanComma = 8;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\2\22\0\1\1"+
    "\1\0\1\3\3\0\1\4\1\0\1\5\3\0\1\6"+
    "\1\7\1\10\1\11\12\12\1\13\1\14\1\15\1\0"+
    "\1\16\2\0\1\17\1\20\1\21\1\22\1\23\1\0"+
    "\1\24\1\25\1\26\1\0\1\27\1\30\1\31\1\32"+
    "\1\33\1\34\1\0\1\35\1\36\1\37\1\40\1\41"+
    "\3\0\1\42\4\0\1\7\1\0\1\17\1\20\1\21"+
    "\1\22\1\23\1\0\1\24\1\25\1\26\1\0\1\27"+
    "\1\30\1\31\1\32\1\33\1\34\1\0\1\35\1\36"+
    "\1\37\1\40\1\41\3\0\1\42\60\0\1\3\204\0"+
    "\2\26\115\0\1\36\u0182\0\1\1\20\0\2\7\7\0"+
    "\1\3\u010d\0\1\27\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\10\0\11\1\1\2\1\3\77\0\1\4\10\0\1\5"+
    "\175\0\1\6\11\0\1\1\17\0\1\5\100\0\1\7"+
    "\33\0\1\10\52\0\1\11\1\0\1\4\1\12\73\0"+
    "\1\13\73\0\1\14\116\0\1\15\163\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[697];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\43\0\106\0\151\0\214\0\257\0\322\0\365"+
    "\0\u0118\0\u013b\0\u015e\0\u0181\0\u01a4\0\u01c7\0\u01ea\0\u020d"+
    "\0\u0230\0\u0118\0\u0118\0\u0253\0\u0276\0\u0299\0\u02bc\0\u013b"+
    "\0\u015e\0\u02df\0\u0302\0\u0325\0\u0348\0\u036b\0\u038e\0\u03b1"+
    "\0\u03d4\0\u03f7\0\u01ea\0\u020d\0\u041a\0\u043d\0\u0460\0\u0483"+
    "\0\u04a6\0\u04c9\0\u04ec\0\u050f\0\u0532\0\u0555\0\u0578\0\u059b"+
    "\0\u05be\0\u05e1\0\u0604\0\u0627\0\u064a\0\u066d\0\u0690\0\u06b3"+
    "\0\u06d6\0\u06f9\0\u071c\0\u073f\0\u0762\0\u0785\0\u07a8\0\u07cb"+
    "\0\u07ee\0\u0811\0\u0834\0\u0857\0\u087a\0\u089d\0\u08c0\0\u08e3"+
    "\0\u0906\0\u0929\0\u094c\0\u096f\0\u0992\0\u09b5\0\u09d8\0\u09fb"+
    "\0\u0a1e\0\u0a41\0\u0118\0\u0a64\0\u0a87\0\u0aaa\0\u0acd\0\u0af0"+
    "\0\u0b13\0\u0b36\0\u0b59\0\u0b7c\0\u0b9f\0\u0bc2\0\u0be5\0\u0c08"+
    "\0\u0c2b\0\u0c4e\0\u0c71\0\u0c94\0\u0cb7\0\u0cda\0\u0cfd\0\u0d20"+
    "\0\u0d43\0\u0d66\0\u0d89\0\u0dac\0\u0dcf\0\u0df2\0\u0e15\0\u0e38"+
    "\0\u0e5b\0\u0e7e\0\u0ea1\0\u0ec4\0\u0ee7\0\u0f0a\0\u0f2d\0\u0f50"+
    "\0\u0f73\0\u0f96\0\u0fb9\0\u0fdc\0\u0fff\0\u1022\0\u1045\0\u1068"+
    "\0\u108b\0\u10ae\0\u10d1\0\u10f4\0\u1117\0\u113a\0\u115d\0\u1180"+
    "\0\u11a3\0\u11c6\0\u11e9\0\u120c\0\u122f\0\u1252\0\u1275\0\u1298"+
    "\0\u12bb\0\u12de\0\u1301\0\u1324\0\u1347\0\u136a\0\u138d\0\u13b0"+
    "\0\u13d3\0\u13f6\0\u1419\0\u143c\0\u145f\0\u1482\0\u14a5\0\u14c8"+
    "\0\u14eb\0\u150e\0\u1531\0\u1554\0\u1577\0\u159a\0\u15bd\0\u15e0"+
    "\0\u1603\0\u1626\0\u1649\0\u166c\0\u168f\0\u16b2\0\u16d5\0\u16f8"+
    "\0\u171b\0\u173e\0\u1761\0\u1784\0\u17a7\0\u17ca\0\u17ed\0\u1810"+
    "\0\u1833\0\u1856\0\u1879\0\u189c\0\u18bf\0\u18e2\0\u1905\0\u1928"+
    "\0\u194b\0\u196e\0\u1991\0\u19b4\0\u19d7\0\u19fa\0\u1a1d\0\u1a40"+
    "\0\u1a63\0\u1a86\0\u1aa9\0\u1acc\0\u1aef\0\u1b12\0\u1b35\0\u1b58"+
    "\0\u1b7b\0\u1b9e\0\u1bc1\0\u1be4\0\u1c07\0\u1c2a\0\u1c4d\0\u1c70"+
    "\0\u1c93\0\u0118\0\u1cb6\0\u1cd9\0\u1cfc\0\u1d1f\0\u1d42\0\u1d65"+
    "\0\u1d88\0\u1dab\0\u1dce\0\u1df1\0\u1e14\0\u1e37\0\u1e5a\0\u0118"+
    "\0\u1e7d\0\u1ea0\0\u1ec3\0\u1ee6\0\u1f09\0\u1f2c\0\u1f4f\0\u1f72"+
    "\0\u1f95\0\u1fb8\0\u1fdb\0\u0118\0\u1ffe\0\u2021\0\u2044\0\u2067"+
    "\0\u208a\0\u20ad\0\u20d0\0\u20f3\0\u2116\0\u2139\0\u215c\0\u217f"+
    "\0\u21a2\0\u21c5\0\u21e8\0\u220b\0\u222e\0\u2251\0\u2274\0\u2297"+
    "\0\u22ba\0\u22dd\0\u2300\0\u2323\0\u2346\0\u2369\0\u238c\0\u23af"+
    "\0\u23d2\0\u23f5\0\u2418\0\u243b\0\u245e\0\u2481\0\u24a4\0\u24c7"+
    "\0\u24ea\0\u250d\0\u2530\0\u2553\0\u2576\0\u2599\0\u25bc\0\u25df"+
    "\0\u2602\0\u2625\0\u2648\0\u266b\0\u268e\0\u26b1\0\u26d4\0\u26f7"+
    "\0\u271a\0\u273d\0\u2760\0\u2783\0\u27a6\0\u27c9\0\u27ec\0\u280f"+
    "\0\u2832\0\u2855\0\u2878\0\u289b\0\u0118\0\u28be\0\u28e1\0\u2904"+
    "\0\u2927\0\u294a\0\u296d\0\u2990\0\u29b3\0\u29d6\0\u29f9\0\u2a1c"+
    "\0\u2a3f\0\u2a62\0\u2a85\0\u2aa8\0\u2acb\0\u2aee\0\u2b11\0\u2b34"+
    "\0\u2b57\0\u2b7a\0\u2b9d\0\u2bc0\0\u2be3\0\u2c06\0\u2c29\0\u2c4c"+
    "\0\u0118\0\u2c6f\0\u2c92\0\u2cb5\0\u2cd8\0\u2cfb\0\u2d1e\0\u2d41"+
    "\0\u2d64\0\u2d87\0\u2daa\0\u2dcd\0\u2df0\0\u2e13\0\u2e36\0\u2e59"+
    "\0\u2e7c\0\u2e9f\0\u2ec2\0\u2ee5\0\u2f08\0\u2f2b\0\u2f4e\0\u2f71"+
    "\0\u2f94\0\u2fb7\0\u2fda\0\u2ffd\0\u3020\0\u3043\0\u3066\0\u3089"+
    "\0\u30ac\0\u30cf\0\u30f2\0\u3115\0\u3138\0\u315b\0\u317e\0\u31a1"+
    "\0\u31c4\0\u31e7\0\u320a\0\u0118\0\u322d\0\u3250\0\u3273\0\u3296"+
    "\0\u32b9\0\u32dc\0\u32ff\0\u3322\0\u3345\0\u3368\0\u338b\0\u33ae"+
    "\0\u33d1\0\u33f4\0\u3417\0\u343a\0\u345d\0\u3480\0\u34a3\0\u34c6"+
    "\0\u34e9\0\u350c\0\u352f\0\u3552\0\u3575\0\u3598\0\u35bb\0\u35de"+
    "\0\u3601\0\u3624\0\u3647\0\u366a\0\u368d\0\u36b0\0\u36d3\0\u36f6"+
    "\0\u3719\0\u373c\0\u375f\0\u3782\0\u37a5\0\u37c8\0\u37eb\0\u380e"+
    "\0\u3831\0\u3854\0\u3877\0\u389a\0\u38bd\0\u38e0\0\u3903\0\u3926"+
    "\0\u3949\0\u396c\0\u398f\0\u39b2\0\u39d5\0\u39f8\0\u3a1b\0\u3a3e"+
    "\0\u3a61\0\u3a84\0\u0118\0\u3aa7\0\u3aca\0\u3aed\0\u3b10\0\u3b33"+
    "\0\u3b56\0\u3b79\0\u3b9c\0\u3bbf\0\u3be2\0\u3c05\0\u3c28\0\u3c4b"+
    "\0\u3c6e\0\u3c91\0\u3cb4\0\u3cd7\0\u3cfa\0\u3d1d\0\u3d40\0\u3d63"+
    "\0\u3d86\0\u3da9\0\u3dcc\0\u3def\0\u3e12\0\u3e35\0\u3e58\0\u3e7b"+
    "\0\u3e9e\0\u3ec1\0\u3ee4\0\u3f07\0\u3f2a\0\u3f4d\0\u3f70\0\u3f93"+
    "\0\u3fb6\0\u3fd9\0\u3ffc\0\u401f\0\u4042\0\u4065\0\u4088\0\u40ab"+
    "\0\u40ce\0\u40f1\0\u4114\0\u4137\0\u415a\0\u417d\0\u41a0\0\u41c3"+
    "\0\u41e6\0\u4209\0\u422c\0\u424f\0\u4272\0\u4295\0\u0118\0\u42b8"+
    "\0\u42db\0\u42fe\0\u4321\0\u4344\0\u4367\0\u438a\0\u43ad\0\u43d0"+
    "\0\u43f3\0\u4416\0\u4439\0\u445c\0\u447f\0\u44a2\0\u44c5\0\u44e8"+
    "\0\u450b\0\u452e\0\u4551\0\u4574\0\u4597\0\u45ba\0\u45dd\0\u4600"+
    "\0\u4623\0\u4646\0\u4669\0\u468c\0\u46af\0\u46d2\0\u46f5\0\u4718"+
    "\0\u473b\0\u475e\0\u4781\0\u47a4\0\u47c7\0\u47ea\0\u480d\0\u4830"+
    "\0\u4853\0\u4876\0\u4899\0\u48bc\0\u48df\0\u4902\0\u4925\0\u4948"+
    "\0\u496b\0\u498e\0\u49b1\0\u49d4\0\u49f7\0\u4a1a\0\u4a3d\0\u4a60"+
    "\0\u4a83\0\u4aa6\0\u4ac9\0\u4aec\0\u4b0f\0\u4b32\0\u4b55\0\u4b78"+
    "\0\u4b9b\0\u4bbe\0\u4be1\0\u4c04\0\u4c27\0\u4c4a\0\u4c6d\0\u4c90"+
    "\0\u4cb3\0\u4cd6\0\u4cf9\0\u4d1c\0\u4d3f\0\u0118\0\u4d62\0\u4d85"+
    "\0\u4da8\0\u4dcb\0\u4dee\0\u4e11\0\u4e34\0\u4e57\0\u4e7a\0\u4e9d"+
    "\0\u4ec0\0\u4ee3\0\u4f06\0\u4f29\0\u4f4c\0\u4f6f\0\u4f92\0\u4fb5"+
    "\0\u4fd8\0\u4ffb\0\u501e\0\u5041\0\u5064\0\u5087\0\u50aa\0\u50cd"+
    "\0\u50f0\0\u5113\0\u5136\0\u5159\0\u517c\0\u519f\0\u51c2\0\u51e5"+
    "\0\u5208\0\u522b\0\u524e\0\u5271\0\u5294\0\u52b7\0\u52da\0\u52fd"+
    "\0\u5320\0\u5343\0\u5366\0\u5389\0\u53ac\0\u53cf\0\u53f2\0\u5415"+
    "\0\u5438\0\u545b\0\u547e\0\u54a1\0\u54c4\0\u54e7\0\u550a\0\u552d"+
    "\0\u5550\0\u5573\0\u5596\0\u55b9\0\u55dc\0\u55ff\0\u5622\0\u5645"+
    "\0\u5668\0\u568b\0\u56ae\0\u56d1\0\u56f4\0\u5717\0\u573a\0\u575d"+
    "\0\u5780\0\u57a3\0\u57c6\0\u57e9\0\u580c\0\u582f\0\u5852\0\u5875"+
    "\0\u5898\0\u58bb\0\u58de\0\u5901\0\u5924\0\u5947\0\u596a\0\u598d"+
    "\0\u59b0\0\u59d3\0\u59f6\0\u5a19\0\u5a3c\0\u5a5f\0\u5a82\0\u5aa5"+
    "\0\u5ac8\0\u5aeb\0\u5b0e\0\u5b31\0\u5b54\0\u5b77\0\u5b9a\0\u5bbd"+
    "\0\u5be0\0\u5c03\0\u5c26\0\u5c49\0\u5c6c\0\u5c8f\0\u5cb2\0\u5cd5"+
    "\0\u5cf8";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[697];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\11\2\12\1\11\1\13\10\11\1\14\42\11\1\15"+
    "\42\11\1\16\26\11\2\17\1\11\1\20\10\11\1\21"+
    "\25\11\6\22\1\23\34\22\1\0\2\6\1\0\1\24"+
    "\10\0\1\25\43\0\1\26\42\0\1\27\70\0\2\30"+
    "\1\0\1\31\10\0\1\32\57\0\1\33\35\0\1\34"+
    "\3\0\1\35\22\0\1\36\13\0\1\37\3\0\1\40"+
    "\22\0\1\41\17\0\1\42\12\0\2\43\1\0\1\44"+
    "\10\0\1\45\57\0\1\46\21\0\1\47\13\0\1\50"+
    "\47\0\1\51\35\0\1\52\40\0\1\53\53\0\1\54"+
    "\33\0\1\34\35\0\1\55\35\0\1\56\64\0\1\57"+
    "\36\0\1\60\24\0\1\61\64\0\1\62\36\0\1\63"+
    "\46\0\1\64\32\0\1\65\35\0\1\66\53\0\1\67"+
    "\24\0\1\70\47\0\1\71\35\0\1\72\66\0\1\73"+
    "\31\0\1\74\52\0\1\75\24\0\1\76\51\0\1\77"+
    "\50\0\1\100\41\0\1\101\35\0\1\102\50\0\1\103"+
    "\34\0\1\104\26\0\1\105\65\0\1\106\41\0\1\107"+
    "\41\0\1\110\44\0\1\111\24\0\1\112\61\0\1\113"+
    "\32\0\1\114\47\0\1\115\43\0\1\116\20\0\1\117"+
    "\56\0\1\120\14\0\1\121\2\0\1\122\11\0\1\123"+
    "\37\0\1\124\56\0\1\125\26\0\1\126\63\0\1\127"+
    "\42\0\1\130\35\0\1\131\14\0\1\132\2\0\1\133"+
    "\11\0\1\134\60\0\1\135\43\0\1\136\30\0\1\137"+
    "\55\0\1\140\20\0\1\30\37\0\1\141\50\0\1\142"+
    "\15\0\1\143\1\0\1\144\16\0\1\145\27\0\16\121"+
    "\1\123\24\121\32\0\1\146\27\0\1\147\6\0\1\150"+
    "\27\0\1\151\51\0\1\152\11\0\1\153\7\0\1\154"+
    "\2\0\1\155\11\0\1\156\40\0\1\43\41\0\1\157"+
    "\27\0\16\132\1\134\24\132\32\0\1\160\11\0\2\156"+
    "\1\0\1\161\1\162\7\0\1\163\23\0\1\164\15\0"+
    "\1\6\37\0\1\165\61\0\1\166\25\0\1\167\45\0"+
    "\1\170\54\0\1\171\52\0\1\172\25\0\1\173\45\0"+
    "\1\174\34\0\1\175\52\0\1\176\44\0\1\177\47\0"+
    "\1\200\36\0\1\201\44\0\1\202\5\0\16\154\1\156"+
    "\24\154\32\0\1\203\11\0\2\156\1\0\1\161\10\0"+
    "\1\163\61\0\1\204\26\0\1\205\54\0\1\206\34\0"+
    "\1\207\27\0\1\210\57\0\1\211\32\0\1\212\57\0"+
    "\1\213\36\0\1\214\14\0\2\170\1\215\1\216\10\0"+
    "\1\217\55\0\1\220\32\0\1\221\60\0\1\222\36\0"+
    "\1\223\46\0\1\224\34\0\1\225\51\0\1\226\26\0"+
    "\1\227\40\0\1\230\44\0\1\231\37\0\1\232\57\0"+
    "\1\233\43\0\1\234\24\0\1\235\62\0\1\236\27\0"+
    "\1\237\41\0\1\240\17\0\2\212\1\0\1\241\62\0"+
    "\1\242\53\0\1\243\6\0\2\215\1\0\1\244\10\0"+
    "\1\245\57\0\1\246\25\0\1\215\13\0\1\247\34\0"+
    "\1\250\54\0\1\251\44\0\1\252\42\0\1\253\37\0"+
    "\1\254\31\0\1\255\42\0\1\256\55\0\1\257\44\0"+
    "\1\260\21\0\1\261\61\0\1\262\27\0\1\263\53\0"+
    "\1\264\44\0\1\265\5\0\1\266\2\0\1\267\51\0"+
    "\1\270\52\0\1\271\51\0\1\272\45\0\1\273\36\0"+
    "\1\274\43\0\1\275\41\0\1\276\31\0\1\277\57\0"+
    "\1\300\31\0\1\301\44\0\1\302\33\0\1\303\46\0"+
    "\1\304\33\0\1\121\52\0\1\305\54\0\1\306\43\0"+
    "\1\307\34\0\1\310\42\0\1\311\45\0\1\312\25\0"+
    "\1\313\37\0\1\132\62\0\1\314\7\0\1\266\2\0"+
    "\1\267\25\0\1\315\42\0\1\316\44\0\1\317\40\0"+
    "\1\320\30\0\1\321\50\0\1\322\31\0\1\323\45\0"+
    "\1\324\57\0\1\325\43\0\1\326\33\0\1\327\32\0"+
    "\1\330\44\0\1\331\37\0\1\332\62\0\1\333\23\0"+
    "\1\334\62\0\1\335\22\0\1\336\46\0\1\337\37\0"+
    "\1\340\36\0\1\154\57\0\1\341\25\0\1\156\36\0"+
    "\1\342\52\0\1\343\40\0\1\344\63\0\1\345\41\0"+
    "\1\346\45\0\1\347\2\0\2\323\1\350\10\0\1\351"+
    "\1\352\63\0\1\353\33\0\1\354\47\0\1\355\21\0"+
    "\1\356\66\0\1\357\22\0\1\360\62\0\1\361\42\0"+
    "\1\362\22\0\1\363\41\0\1\364\56\0\1\365\43\0"+
    "\1\366\27\0\1\367\23\0\1\342\2\0\1\370\5\0"+
    "\1\371\66\0\1\372\5\0\2\344\1\0\1\373\61\0"+
    "\1\374\53\0\1\375\21\0\1\376\63\0\1\377\23\0"+
    "\1\350\61\0\1\u0100\21\0\1\u0101\43\0\1\170\64\0"+
    "\1\u0102\37\0\1\u0103\25\0\1\u0104\43\0\1\u0105\56\0"+
    "\1\u0106\51\0\1\u0107\37\0\1\u0108\33\0\1\u0109\45\0"+
    "\1\u010a\41\0\1\u010b\10\0\15\u010c\1\0\25\u010c\34\0"+
    "\1\u010d\40\0\1\u010e\10\0\15\u010f\1\0\25\u010f\14\0"+
    "\1\212\55\0\1\u0110\51\0\1\u0111\20\0\1\215\64\0"+
    "\1\u0102\2\0\1\u0112\30\0\1\u0113\14\0\1\u0114\2\0"+
    "\1\u0115\11\0\1\u0116\25\0\2\u0104\1\0\1\u0117\2\0"+
    "\1\u0118\75\0\1\u0119\1\0\1\u011a\2\0\1\u011b\11\0"+
    "\1\11\52\0\1\u011c\35\0\1\u011d\54\0\1\u011e\37\0"+
    "\1\u011f\32\0\1\u0120\22\0\15\u010c\1\u0121\25\u010c\14\0"+
    "\1\266\46\0\1\u0122\22\0\15\u010f\1\u0123\25\u010f\35\0"+
    "\1\u0124\25\0\1\u0125\50\0\1\u0126\42\0\1\u0127\14\0"+
    "\16\u0128\1\0\24\u0128\32\0\1\u0129\10\0\1\u012a\2\u0116"+
    "\1\u012a\1\u012b\10\u012a\1\u012c\25\u012a\32\0\1\u012d\11\0"+
    "\2\u0118\1\0\1\u012e\10\0\1\u012f\53\0\1\u0130\14\0"+
    "\16\u0131\1\0\24\u0131\32\0\1\u0132\43\0\1\u0133\42\0"+
    "\1\u0134\25\0\1\u0135\57\0\1\336\45\0\1\u0136\15\0"+
    "\1\u0137\67\0\1\u0138\15\0\1\u0139\62\0\1\u013a\43\0"+
    "\1\u013b\45\0\1\u013c\41\0\1\u013d\6\0\16\u0128\1\u0116"+
    "\24\u0128\20\0\1\u013e\22\0\15\u013f\1\u0140\42\u013f\1\u0140"+
    "\14\u013f\1\u0141\10\u013f\11\0\1\u0142\13\0\1\u0143\35\0"+
    "\1\u0144\54\0\1\u0145\21\0\1\u0146\64\0\1\u0147\7\0"+
    "\16\u0131\1\11\24\u0131\20\0\1\u0148\54\0\1\u0149\32\0"+
    "\1\u014a\54\0\1\u014b\33\0\1\u014c\51\0\1\u014d\33\0"+
    "\1\u014e\32\0\1\u014f\31\0\1\323\62\0\1\u0150\34\0"+
    "\1\u0151\62\0\1\u0152\4\0\15\u0153\1\u0140\25\u0153\11\0"+
    "\1\u0142\31\0\15\u0153\1\u0140\2\u0153\1\u0154\22\u0153\25\0"+
    "\1\u0155\3\0\1\u0156\24\0\1\u0157\65\0\1\u0158\24\0"+
    "\1\u0159\53\0\1\u015a\43\0\1\u015b\46\0\1\u015c\27\0"+
    "\1\u015d\42\0\1\u015e\33\0\1\342\41\0\1\u015f\43\0"+
    "\1\344\41\0\1\u0160\30\0\2\u014f\1\350\10\0\1\u0161"+
    "\1\352\60\0\1\u0162\43\0\1\u0163\6\0\15\u0164\1\u0140"+
    "\42\u0164\1\u0140\20\u0164\1\u0165\4\u0164\13\0\1\u0166\64\0"+
    "\1\u0167\41\0\1\u0168\42\0\1\u0169\44\0\1\u016a\41\0"+
    "\1\u016b\30\0\1\u016c\53\0\1\u016d\24\0\1\11\42\0"+
    "\1\u016e\60\0\1\u016f\42\0\1\u0170\42\0\1\u0171\36\0"+
    "\1\u0172\26\0\1\u0114\26\0\15\u0173\1\u0140\42\u0173\1\u0140"+
    "\16\u0173\1\u0174\6\u0173\34\0\1\u0175\35\0\1\u0176\14\0"+
    "\1\u0177\2\0\1\u0178\11\0\1\u0179\40\0\1\u0104\62\0"+
    "\1\u017a\35\0\1\u017b\31\0\1\u017c\40\0\1\u011a\26\0"+
    "\15\u017d\1\0\25\u017d\16\0\1\u017e\42\0\1\u017f\62\0"+
    "\1\u0180\27\0\1\u0181\17\0\15\u0182\1\u0140\41\u0182\1\u0116"+
    "\1\u0140\25\u0182\16\0\1\u0183\37\0\1\u0184\27\0\16\u0177"+
    "\1\u0179\24\u0177\32\0\1\u0185\10\0\1\u012a\2\u0186\1\u012a"+
    "\1\u0187\10\u012a\1\u0188\25\u012a\14\0\1\u0118\41\0\1\u0189"+
    "\27\0\15\u017d\1\u018a\25\u017d\1\0\2\u017e\1\0\1\u018b"+
    "\37\0\2\u017f\1\0\1\u018c\56\0\1\u018d\61\0\1\u018e"+
    "\3\0\15\u018f\1\u0140\25\u018f\1\0\2\u0183\1\0\1\u0190"+
    "\10\0\1\u0191\44\0\1\u0192\43\0\1\u0193\22\0\1\u013f"+
    "\2\u0194\1\u013f\1\u0195\10\u013f\1\u0188\42\u013f\1\u0140\14\u013f"+
    "\1\u0196\10\u013f\11\0\1\u0142\17\0\1\u0197\46\0\1\u0198"+
    "\16\0\1\u0199\63\0\1\u019a\42\0\1\u019b\42\0\1\u019c"+
    "\47\0\1\u019d\3\0\15\u019e\1\u0140\25\u019e\32\0\1\u019f"+
    "\21\0\1\u01a0\61\0\1\u01a1\50\0\1\u01a2\4\0\1\u0153"+
    "\2\u01a3\1\u0153\1\u01a4\10\u0153\1\u0188\42\u0153\1\u0140\14\u0153"+
    "\1\u01a5\25\u0153\1\u0140\2\u0153\1\u01a6\22\u0153\35\0\1\u01a7"+
    "\45\0\1\u01a8\33\0\1\u01a9\31\0\1\u01aa\42\0\1\u01ab"+
    "\26\0\1\u014f\61\0\1\u01ac\17\0\15\u01ad\1\u0140\25\u01ad"+
    "\20\0\1\u01ae\53\0\1\u0156\41\0\1\u01af\46\0\1\u01b0"+
    "\6\0\1\u0164\2\u01b1\1\u0164\1\u01b2\10\u0164\1\u0188\42\u0164"+
    "\1\u0140\14\u0164\1\u01b3\25\u0164\1\u0140\2\u0164\1\u01b4\37\u0164"+
    "\1\u0140\20\u0164\1\u01b5\4\u0164\27\0\1\u01b6\33\0\1\u01b7"+
    "\57\0\1\u01b8\43\0\1\u01b9\42\0\1\u01ba\22\0\1\u01bb"+
    "\24\0\15\u01bc\1\u0140\25\u01bc\36\0\1\u01bd\27\0\1\u01be"+
    "\33\0\1\u0177\26\0\1\u0173\2\u01bf\1\u0173\1\u01c0\10\u0173"+
    "\1\u0188\42\u0173\1\u0140\14\u0173\1\u01c1\25\u0173\1\u0140\2\u0173"+
    "\1\u01c2\37\u0173\1\u0140\20\u0173\1\u01c3\21\u0173\1\u0140\16\u0173"+
    "\1\u01c4\6\u0173\13\0\1\u01c5\64\0\1\u01c6\34\0\1\u01c7"+
    "\47\0\1\u01c8\42\0\1\u01c9\6\0\15\u01ca\1\u0140\25\u01ca"+
    "\34\0\1\u01cb\32\0\1\u01cc\16\0\1\u0182\2\u01cd\1\u0182"+
    "\1\u01ce\10\u0182\1\u0188\42\u0182\1\u0140\14\u0182\1\u01cf\25\u0182"+
    "\1\u0140\2\u0182\1\u01d0\37\u0182\1\u0140\20\u0182\1\u01d1\21\u0182"+
    "\1\u0140\16\u0182\1\u01d2\22\u0182\1\u01cd\1\u0140\25\u0182\26\0"+
    "\1\u01d3\42\0\1\u01d4\27\0\1\u01d5\43\0\1\u017e\42\0"+
    "\1\u017f\26\0\15\u01d6\1\u0140\25\u01d6\14\0\1\u0183\45\0"+
    "\1\u01d7\23\0\1\u018f\2\u01d8\1\u018f\1\u01d9\10\u018f\1\u0188"+
    "\42\u018f\1\u0140\14\u018f\1\u01da\25\u018f\1\u0140\2\u018f\1\u01db"+
    "\37\u018f\1\u0140\20\u018f\1\u01dc\21\u018f\1\u0140\16\u018f\1\u01dd"+
    "\22\u018f\1\u01d8\1\u0140\25\u018f\32\0\1\u01de\31\0\1\u01df"+
    "\43\0\1\u01e0\20\0\15\u01e1\1\u0140\25\u01e1\37\0\1\u01e2"+
    "\3\0\1\u019e\2\u01e3\1\u019e\1\u01e4\10\u019e\1\u0188\42\u019e"+
    "\1\u0140\14\u019e\1\u01e5\25\u019e\1\u0140\2\u019e\1\u01e6\37\u019e"+
    "\1\u0140\20\u019e\1\u01e7\21\u019e\1\u0140\16\u019e\1\u01e8\22\u019e"+
    "\1\u01e3\1\u0140\25\u019e\37\0\1\u01e9\22\0\1\u01ea\56\0"+
    "\1\u01eb\7\0\15\u01ec\1\u0140\25\u01ec\33\0\1\u01ed\7\0"+
    "\1\u01ad\2\u01ee\1\u01ad\1\u01ef\10\u01ad\1\u0188\42\u01ad\1\u0140"+
    "\14\u01ad\1\u01f0\25\u01ad\1\u0140\2\u01ad\1\u01f1\37\u01ad\1\u0140"+
    "\20\u01ad\1\u01f2\21\u01ad\1\u0140\16\u01ad\1\u01f3\22\u01ad\1\u01ee"+
    "\1\u0140\25\u01ad\23\0\1\u01f4\35\0\1\123\45\0\1\u01f5"+
    "\21\0\15\u01f6\1\u0140\25\u01f6\16\0\1\u01f7\24\0\1\u01bc"+
    "\2\u01f8\1\u01bc\1\u01f9\10\u01bc\1\u0188\42\u01bc\1\u0140\14\u01bc"+
    "\1\u01fa\25\u01bc\1\u0140\2\u01bc\1\u01fb\37\u01bc\1\u0140\20\u01bc"+
    "\1\u01fc\21\u01bc\1\u0140\16\u01bc\1\u01fd\22\u01bc\1\u01f8\1\u0140"+
    "\25\u01bc\36\0\1\u01fe\44\0\1\u01ff\2\0\15\u0200\1\u0140"+
    "\25\u0200\1\u01ca\2\u0201\1\u01ca\1\u0202\10\u01ca\1\u0188\42\u01ca"+
    "\1\u0140\14\u01ca\1\u0203\25\u01ca\1\u0140\2\u01ca\1\u0204\37\u01ca"+
    "\1\u0140\20\u01ca\1\u0205\21\u01ca\1\u0140\16\u01ca\1\u0206\22\u01ca"+
    "\1\u0201\1\u0140\25\u01ca\37\0\1\u0207\34\0\1\u0208\11\0"+
    "\15\u0209\1\u0140\25\u0209\1\u01d6\2\u020a\1\u01d6\1\u020b\10\u01d6"+
    "\1\u0188\42\u01d6\1\u0140\14\u01d6\1\u020c\25\u01d6\1\u0140\2\u01d6"+
    "\1\u020d\37\u01d6\1\u0140\20\u01d6\1\u020e\21\u01d6\1\u0140\16\u01d6"+
    "\1\u020f\22\u01d6\1\u020a\1\u0140\25\u01d6\17\0\1\u0210\46\0"+
    "\1\u0211\17\0\15\u0212\1\u0140\25\u0212\1\u01e1\2\u0213\1\u01e1"+
    "\1\u0214\10\u01e1\1\u0188\42\u01e1\1\u0140\14\u01e1\1\u0215\25\u01e1"+
    "\1\u0140\2\u01e1\1\u0216\37\u01e1\1\u0140\20\u01e1\1\u0217\21\u01e1"+
    "\1\u0140\16\u01e1\1\u0218\22\u01e1\1\u0213\1\u0140\25\u01e1\42\0"+
    "\1\u0219\32\0\1\u021a\10\0\15\u021b\1\u0140\25\u021b\1\u01ec"+
    "\2\u021c\1\u01ec\1\u021d\10\u01ec\1\u0188\42\u01ec\1\u0140\14\u01ec"+
    "\1\u021e\25\u01ec\1\u0140\2\u01ec\1\u021f\37\u01ec\1\u0140\20\u01ec"+
    "\1\u0220\21\u01ec\1\u0140\16\u01ec\1\u0221\22\u01ec\1\u021c\1\u0140"+
    "\25\u01ec\26\0\1\u0222\53\0\1\u0223\3\0\15\u0224\1\u0140"+
    "\25\u0224\1\u01f6\2\u0225\1\u01f6\1\u0226\10\u01f6\1\u0188\42\u01f6"+
    "\1\u0140\14\u01f6\1\u0227\25\u01f6\1\u0140\2\u01f6\1\u0228\37\u01f6"+
    "\1\u0140\20\u01f6\1\u0229\21\u01f6\1\u0140\16\u01f6\1\u022a\22\u01f6"+
    "\1\u0225\1\u0140\25\u01f6\33\0\1\u022b\30\0\1\u022c\21\0"+
    "\15\u022d\1\u0140\25\u022d\1\u0200\2\u022e\1\u0200\1\u022f\10\u0200"+
    "\1\u0188\42\u0200\1\u0140\14\u0200\1\u0230\25\u0200\1\u0140\2\u0200"+
    "\1\u0231\37\u0200\1\u0140\20\u0200\1\u0232\21\u0200\1\u0140\16\u0200"+
    "\1\u0233\22\u0200\1\u022e\1\u0140\25\u0200\32\0\1\u0234\43\0"+
    "\1\u0235\7\0\15\u0236\1\u0140\25\u0236\1\u0209\2\u0237\1\u0209"+
    "\1\u0238\10\u0209\1\u0188\42\u0209\1\u0140\14\u0209\1\u0239\25\u0209"+
    "\1\u0140\2\u0209\1\u023a\37\u0209\1\u0140\20\u0209\1\u023b\21\u0209"+
    "\1\u0140\16\u0209\1\u023c\22\u0209\1\u0237\1\u0140\25\u0209\23\0"+
    "\1\u023d\41\0\1\u023e\20\0\15\u023f\1\u0140\25\u023f\1\u0212"+
    "\2\u0240\1\u0212\1\u0241\10\u0212\1\u0188\42\u0212\1\u0140\14\u0212"+
    "\1\u0242\25\u0212\1\u0140\2\u0212\1\u0243\37\u0212\1\u0140\20\u0212"+
    "\1\u0244\21\u0212\1\u0140\16\u0212\1\u0245\22\u0212\1\u0240\1\u0140"+
    "\25\u0212\16\0\1\u0246\47\0\1\u01ea\17\0\15\u0247\1\u0140"+
    "\25\u0247\1\u021b\2\u0248\1\u021b\1\u0249\10\u021b\1\u0188\42\u021b"+
    "\1\u0140\14\u021b\1\u024a\25\u021b\1\u0140\2\u021b\1\u024b\37\u021b"+
    "\1\u0140\20\u021b\1\u024c\21\u021b\1\u0140\16\u021b\1\u024d\22\u021b"+
    "\1\u0248\1\u0140\25\u021b\15\u024e\1\u0140\25\u024e\1\u0224\2\u024f"+
    "\1\u0224\1\u0250\10\u0224\1\u0188\42\u0224\1\u0140\14\u0224\1\u0251"+
    "\25\u0224\1\u0140\2\u0224\1\u0252\37\u0224\1\u0140\20\u0224\1\u0253"+
    "\21\u0224\1\u0140\16\u0224\1\u0254\22\u0224\1\u024f\1\u0140\25\u0224"+
    "\15\u0255\1\u0140\25\u0255\1\u022d\2\u0256\1\u022d\1\u0257\10\u022d"+
    "\1\u0188\42\u022d\1\u0140\14\u022d\1\u0258\25\u022d\1\u0140\2\u022d"+
    "\1\u0259\37\u022d\1\u0140\20\u022d\1\u025a\21\u022d\1\u0140\16\u022d"+
    "\1\u025b\22\u022d\1\u0256\1\u0140\25\u022d\15\u025c\1\u0140\25\u025c"+
    "\1\u0236\2\u025d\1\u0236\1\u025e\10\u0236\1\u0188\42\u0236\1\u0140"+
    "\14\u0236\1\u025f\25\u0236\1\u0140\2\u0236\1\u0260\37\u0236\1\u0140"+
    "\20\u0236\1\u0261\21\u0236\1\u0140\16\u0236\1\u0262\22\u0236\1\u025d"+
    "\1\u0140\25\u0236\4\u0263\1\u0264\10\u0263\1\u0140\25\u0263\1\u023f"+
    "\2\u0265\1\u023f\1\u0266\10\u023f\1\u0188\42\u023f\1\u0140\14\u023f"+
    "\1\u0267\25\u023f\1\u0140\2\u023f\1\u0268\37\u023f\1\u0140\20\u023f"+
    "\1\u0269\21\u023f\1\u0140\16\u023f\1\u026a\22\u023f\1\u0265\1\u0140"+
    "\25\u023f\4\u026b\1\u026c\10\u026b\1\u0140\31\u026b\1\u026c\10\u026b"+
    "\1\u0140\14\u026b\1\u026d\10\u026b\1\u0247\2\u026e\1\u0247\1\u026f"+
    "\10\u0247\1\u0188\42\u0247\1\u0140\14\u0247\1\u0270\25\u0247\1\u0140"+
    "\2\u0247\1\u0271\37\u0247\1\u0140\20\u0247\1\u0272\21\u0247\1\u0140"+
    "\16\u0247\1\u0273\22\u0247\1\u026e\1\u0140\25\u0247\4\u0274\1\u0275"+
    "\10\u0274\1\u0140\31\u0274\1\u0275\10\u0274\1\u0140\14\u0274\1\u0276"+
    "\14\u0274\1\u0275\10\u0274\1\u0140\2\u0274\1\u0277\22\u0274\1\u024e"+
    "\2\u0278\1\u024e\1\u0279\10\u024e\1\u0188\42\u024e\1\u0140\14\u024e"+
    "\1\u027a\25\u024e\1\u0140\2\u024e\1\u027b\37\u024e\1\u0140\20\u024e"+
    "\1\u027c\21\u024e\1\u0140\16\u024e\1\u027d\22\u024e\1\u0278\1\u0140"+
    "\25\u024e\4\u027e\1\u027f\10\u027e\1\u0140\31\u027e\1\u027f\10\u027e"+
    "\1\u0140\14\u027e\1\u0280\14\u027e\1\u027f\10\u027e\1\u0140\2\u027e"+
    "\1\u0281\26\u027e\1\u027f\10\u027e\1\u0140\20\u027e\1\u0282\4\u027e"+
    "\1\u0255\2\u0283\1\u0255\1\u0284\10\u0255\1\u0188\42\u0255\1\u0140"+
    "\14\u0255\1\u0285\25\u0255\1\u0140\2\u0255\1\u0286\37\u0255\1\u0140"+
    "\20\u0255\1\u0287\21\u0255\1\u0140\16\u0255\1\u0288\22\u0255\1\u0283"+
    "\1\u0140\25\u0255\4\u0289\1\u028a\10\u0289\1\u0140\31\u0289\1\u028a"+
    "\10\u0289\1\u0140\14\u0289\1\u028b\14\u0289\1\u028a\10\u0289\1\u0140"+
    "\2\u0289\1\u028c\26\u0289\1\u028a\10\u0289\1\u0140\20\u0289\1\u028d"+
    "\10\u0289\1\u028a\10\u0289\1\u0140\16\u0289\1\u028e\6\u0289\1\u025c"+
    "\2\u028f\1\u025c\1\u0290\10\u025c\1\u0188\42\u025c\1\u0140\14\u025c"+
    "\1\u0291\25\u025c\1\u0140\2\u025c\1\u0292\37\u025c\1\u0140\20\u025c"+
    "\1\u0293\21\u025c\1\u0140\16\u025c\1\u0294\22\u025c\1\u028f\1\u0140"+
    "\25\u025c\1\0\2\u0183\1\0\1\u0190\10\0\1\u0140\26\0"+
    "\2\u0183\1\0\1\u0190\10\0\1\u0140\14\0\1\u019f\11\0"+
    "\2\u0183\1\0\1\u0190\10\0\1\u0140\2\0\1\u01ae\23\0"+
    "\2\u0183\1\0\1\u0190\10\0\1\u0140\20\0\1\u01bd\5\0"+
    "\2\u0183\1\0\1\u0190\10\0\1\u0140\16\0\1\u01cb\7\0"+
    "\2\u0183\1\0\1\u0190\7\0\1\u0183\1\u0140\25\0\1\u0263"+
    "\2\u0295\1\u0263\1\u0296\10\u0263\1\u0188\31\u0263\1\u0264\10\u0263"+
    "\1\u0140\14\u0263\1\u0297\14\u0263\1\u0264\10\u0263\1\u0140\2\u0263"+
    "\1\u0298\26\u0263\1\u0264\10\u0263\1\u0140\20\u0263\1\u0299\10\u0263"+
    "\1\u0264\10\u0263\1\u0140\16\u0263\1\u029a\12\u0263\1\u0264\7\u0263"+
    "\1\u0295\1\u0140\25\u0263\1\u026b\2\u029b\1\u026b\1\u029c\10\u026b"+
    "\1\u0188\31\u026b\1\u026c\10\u026b\1\u0140\14\u026b\1\u029d\14\u026b"+
    "\1\u026c\10\u026b\1\u0140\2\u026b\1\u029e\26\u026b\1\u026c\10\u026b"+
    "\1\u0140\20\u026b\1\u029f\10\u026b\1\u026c\10\u026b\1\u0140\16\u026b"+
    "\1\u02a0\12\u026b\1\u026c\7\u026b\1\u029b\1\u0140\25\u026b\1\u0274"+
    "\2\u02a1\1\u0274\1\u02a2\10\u0274\1\u0188\31\u0274\1\u0275\10\u0274"+
    "\1\u0140\14\u0274\1\u02a3\14\u0274\1\u0275\10\u0274\1\u0140\2\u0274"+
    "\1\u02a4\26\u0274\1\u0275\10\u0274\1\u0140\20\u0274\1\u02a5\10\u0274"+
    "\1\u0275\10\u0274\1\u0140\16\u0274\1\u02a6\12\u0274\1\u0275\7\u0274"+
    "\1\u02a1\1\u0140\25\u0274\1\u027e\2\u02a7\1\u027e\1\u02a8\10\u027e"+
    "\1\u0188\31\u027e\1\u027f\10\u027e\1\u0140\14\u027e\1\u02a9\14\u027e"+
    "\1\u027f\10\u027e\1\u0140\2\u027e\1\u02aa\26\u027e\1\u027f\10\u027e"+
    "\1\u0140\20\u027e\1\u02ab\10\u027e\1\u027f\10\u027e\1\u0140\16\u027e"+
    "\1\u02ac\12\u027e\1\u027f\7\u027e\1\u02a7\1\u0140\25\u027e\1\u0289"+
    "\2\u02ad\1\u0289\1\u02ae\10\u0289\1\u0188\31\u0289\1\u028a\10\u0289"+
    "\1\u0140\14\u0289\1\u02af\14\u0289\1\u028a\10\u0289\1\u0140\2\u0289"+
    "\1\u02b0\26\u0289\1\u028a\10\u0289\1\u0140\20\u0289\1\u02b1\10\u0289"+
    "\1\u028a\10\u0289\1\u0140\16\u0289\1\u02b2\12\u0289\1\u028a\7\u0289"+
    "\1\u02ad\1\u0140\25\u0289\1\0\2\u02b3\1\0\1\u02b4\10\0"+
    "\1\u0188\26\0\2\u0183\1\0\1\u0190\10\0\1\u0140\14\0"+
    "\1\u02b5\11\0\2\u0183\1\0\1\u0190\10\0\1\u0140\2\0"+
    "\1\u02b6\23\0\2\u0183\1\0\1\u0190\10\0\1\u0140\20\0"+
    "\1\u02b7\5\0\2\u0183\1\0\1\u0190\10\0\1\u0140\16\0"+
    "\1\u02b8\7\0\2\u0183\1\0\1\u0190\7\0\1\u02b3\1\u0140"+
    "\26\0\2\u02b3\1\0\1\u02b4\10\0\1\u02b9\57\0\1\u02b5"+
    "\30\0\1\u02b6\60\0\1\u02b7\40\0\1\u02b8\22\0\1\u02b3"+
    "\37\0\1\u01a0\17\0\1\u0197\11\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[23835];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\10\0\1\11\10\1\2\11\77\0\1\11\10\0\1\1"+
    "\55\0\1\1\110\0\1\1\6\0\1\11\11\0\1\1"+
    "\3\0\1\11\13\0\1\11\100\0\1\11\33\0\1\11"+
    "\52\0\1\11\1\0\2\1\73\0\1\11\73\0\1\11"+
    "\116\0\1\11\163\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[697];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	Post() { }
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public Post(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { output.append(yytext());
            }
          // fall through
          case 14: break;
          case 2:
            { output.append(yytext()); yybegin(inHeader);
            }
          // fall through
          case 15: break;
          case 3:
            { yybegin(inHeader);
            }
          // fall through
          case 16: break;
          case 4:
            { 
            }
          // fall through
          case 17: break;
          case 5:
            { output.append(yytext());
		yybegin(0);
            }
          // fall through
          case 18: break;
          case 6:
            { output.append(yytext());
	
	if(getMarkerDocument().getInputType().equals(InputType.PLAIN_GAZZETTA_UFFICIALE) ) {
	
		yybegin(inHeader);
	}
            }
          // fall through
          case 19: break;
          case 7:
            { output.append(yytext());
		yybegin(inPreamble);
            }
          // fall through
          case 20: break;
          case 8:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 7;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { output.append(" ");
            }
          // fall through
          case 21: break;
          case 9:
            { output.append(yytext() + "<h:p>"); yybegin(0);
            }
          // fall through
          case 22: break;
          case 10:
            { getMarkerDocument().setVigenza(Util.removeAllAnnotations(yytext()).trim());
            }
          // fall through
          case 23: break;
          case 11:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 6;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { output.append(" ");
            }
          // fall through
          case 24: break;
          case 12:
            { getMarkerDocument().addWarning("Allegato breve ignorato, verificare: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
            }
          // fall through
          case 25: break;
          case 13:
            { yypushback(yylength());
	yybegin(inAttachHeader);
            }
          // fall through
          case 26: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java Post [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        Post scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new Post(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
